# JSObject : Object
Return to: HTML DOM Level 0 index

Java representation of a JavaScript object.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
JSObject Constructor() : JSObject Creates a new instance of a JSObject. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

### JSObject() : JSObject

Creates a new instance of a JSObject.

Returns

JSObject |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
call(String methodName, Array args) : Object Invokes the specified method of the JavaScript object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

String | methodName | Method to invoke.
Array | args | Arguments (if any) to be taken by the method.

Returns

Object |

eval(String s) : Object Evaluates a piece of JavaScript code. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

String | s | Code to be evaluated.

Returns

Object |

getMember(String name) : String Gets the value of a JavaScript property. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

String | name | Name of the property.

Returns

String |

getSlot(int index) : Object Gets the value of an element in a JavaScript array. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

int | index | Index of the element in the array.

Returns

Object |

getWindow(java.applet.Applet applet) : Object Gets a JSObject for a browser window. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

java.applet.Applet | applet | Applet to obtain a JSObject for.

Returns

Object |

removeMember(String name) : Object Deletes a property from a JavaScript object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

String | name | Name of the property.

Returns

Object |

setMember(String name, Object value) : Object Sets the value of a property for a JavaScript object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

String | name | Name of the property.
Object | value | Value that the property should be set to.

Returns

Object |

setSlot(int index, Object value) : Object Sets the value of an array element for a JavaScript object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Parameters

int | index | Index of the element in the array to be set.
Object | value | Value of the element to be set.

Returns

Object |

toString() : String Calls toString on a JavaScript object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

String |

text_javascript aptana_docs